Subject: Re: [PATCH v2 02/17] IB/Verbs: Implement raw management helpers

From: Michael Wang <[email-masked]>
Date: Wed, 08 Apr 2015 10:41:28 +0200

On 04/07/2015 11:25 PM, Hefty, Sean wrote:
>> +static inline int rdma_transport_ib(struct ib_device *device, u8
>> port_num)
>> +{
>> +	return device->query_transport(device, port_num)
>> +			== RDMA_TRANSPORT_IB;
>> +}
>> +
>> +static inline int rdma_transport_iboe(struct ib_device *device, u8
>> port_num)
>> +{
>> +	return device->query_transport(device, port_num)
>> +			== RDMA_TRANSPORT_IBOE;
>> +}
> 
> We need to do something with the function names to make their use more obvious.  Both IB and IBoE have transport IB.  I think Jason suggested rdma_tech_ib / rdma_tech_iboe.
> 
> Regarding transport types, I believe that usnic supports 2 different transports.  Although usnic isn't used by anything else in the core layer, we should probably be able to handle a device that supports multiple protocols.  I'm not sure what the 'transport' should be for iWarp, since iWarp is layered over TCP.  But that may just mean that the term transport isn't great.

Agree, it do confusing folks, I will use tech instead in next version :-)

Regards,
Michael Wang

> - Sean
--
To unsubscribe from this list: send the line "unsubscribe linux-nfs" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html